clear variables;close all;clc
m=2:2:50;
lambda=[0.01 0.05:0.05:0.95 1];
[L_PCA,L_EFA]=deal(NaN(length(m),length(lambda)));

for i=1:length(m)
    for i2=1:length(lambda)
        L=lambda(i2);
        M=m(i);
        L_PCA(i,i2)=sqrt(L^2+(1-L^2)/M);
        L_EFA(i,i2)=L;
    end
end
L_DIFF=L_PCA-L_EFA;

surf(lambda,m,L_DIFF)
ylabel('\itp\rm/\itf\rm','FontSize',20)
xlabel('CFA loading','FontSize',20)
zlabel('PCA loading  CFA loading','FontSize',20)
set(gca,'Xtick',[0.01 0.2:0.2:0.8 1],'Ytick',[2 10:10:50],'Xlim',[0.01 1],'Ylim',[2 50])
h = findobj(gcf,'FontName','Helvetica');set(h,'FontSize',20)
view(-200,22)
colormap('gray')
brighten(.6)